<?php
/*
Plugin Name: Wordpress Google Map Professional (Map In Your Language)
Plugin URI: http://www.pragmasoftwares.com/
Description: Simple yet effective wordpress google map plugin to create unlimited maps with single or multiple markers.
Version: 1.0
Author: pankajpragma, rahulpragma
Author URI: http://pragmasoftwares.com/
License: GPL2
*/


# Plugin Version
if ( !defined( 'GOOGLEMARKER_VERSION' ) )	define( 'GOOGLEMARKER_VERSION', '1.0.0' ); 

#googlemarker/index.php
if ( !defined( 'GOOGLEMARKER_PLUGIN_BASENAME' ) ) define( 'GOOGLEMARKER_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );		

if ( !defined( 'GOOGLEMARKER_PLUGIN_NAME' ) ) define( 'GOOGLEMARKER_PLUGIN_NAME', trim( dirname( GOOGLEMARKER_PLUGIN_BASENAME ), '/' ) );  				
//	googlemarker
if ( !defined( 'GOOGLEMARKER_PLUGIN_DIR' ) ) define( 'GOOGLEMARKER_PLUGIN_DIR', WP_PLUGIN_DIR . '/' . GOOGLEMARKER_PLUGIN_NAME );
//	var/www/wp-content/plugins/google-map-professional
if ( !defined( 'GOOGLEMARKER_PLUGIN_URL' ) )	define( 'GOOGLEMARKER_PLUGIN_URL', WP_PLUGIN_URL . '/' . GOOGLEMARKER_PLUGIN_NAME ); 
//	http://example.com/wp-content/plugins/google-map-professional
if ( !defined( 'GOOGLEMARKER_ADMIN_URL' ) )	define( 'GOOGLEMARKER_ADMIN_URL', get_admin_url().'admin.php' ); 
//	http://example.com/wp-admin/admin.php

# Plugin Name
if ( !defined( 'GOOGLEMARKER_TITLE' ) )	define( 'GOOGLEMARKER_TITLE', 'Google Map Professional' );

if ( !defined( 'GOOGLEMARKER_API_SITE_URL' ) )	define( 'GOOGLEMARKER_API_SITE_URL', 'http://pragmasoftwares.com/' );

//SETUP
function googlemarker_install(){
   global $wpdb;  
    require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

   $table_name = $wpdb->prefix . "google_markers";      
   $sql = "CREATE TABLE IF NOT EXISTS `$table_name` (
	  `marker_id` int(10) NOT NULL AUTO_INCREMENT,
	  `map_name` varchar(255) NOT NULL,
	  `def_map_view` varchar(15) NOT NULL DEFAULT 'Roadmap',
	  `map_language` varchar(10) NOT NULL DEFAULT 'en',
	  `map_width` varchar(30) NOT NULL DEFAULT '400px',
	  `map_height` varchar(30) NOT NULL DEFAULT '400px',
	  `default_location` varchar(255) NOT NULL,
	  `marker_longitudes` text,
	  `marker_contents` text,
	  `marker_latitudes` text,
	  `created_on` datetime DEFAULT NULL,
	   `icon_url` varchar(255),
	  PRIMARY KEY (`marker_id`)
	);";
	 dbDelta( $sql );

	$table_name2 = $wpdb->prefix . "google_marker_settings";    
	  $sql = "CREATE TABLE IF NOT EXISTS `$table_name2` (
	  `setting_id` int(10) NOT NULL AUTO_INCREMENT,
	  `font_family` varchar(100) DEFAULT 'Arial',
	  `font_size` varchar(100) DEFAULT '12px',
	  `font_color` varchar(100) DEFAULT '#000',
	  PRIMARY KEY (`setting_id`)
    ) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;";
 
	  dbDelta( $sql );
	
	$sql = "INSERT INTO `wp_google_marker_settings` (`setting_id`, `font_family`, `font_size`, `font_color`) 
	VALUES ('1', 'Abril+Fatface', '13px', '#000'); ";

 
 
   dbDelta( $sql );
 
   add_option( "googlemarker_db_version", GOOGLEMARKER_VERSION );
}

register_activation_hook(__FILE__,'googlemarker_install');


//HOOKS
add_action('init','googlemarker_init');
/********************************************************/
/* FUNCTIONS
********************************************************/
function googlemarker_init(){
    //do work
    run_sub_process();
}

function run_sub_process(){
    //more work
}

// Hook for adding admin menus
add_action('admin_menu', 'googlemarker_add_pages');

// action function for above hookcurrent_user_can('administrator')
function googlemarker_add_pages() {

	add_menu_page( __(GOOGLEMARKER_TITLE, 'googlemarker_admin' ), __( 'Google Map Professional', 'googlemarker_admin' ),'administrator', 'googlemarker-admin', 'googlemarker_admin', GOOGLEMARKER_PLUGIN_URL.'/images/icon.png' );

	
	add_submenu_page( 'googlemarker-admin', __( 'Add Map | '.GOOGLEMARKER_TITLE, 'googlemarker_admin' ), __( 'Create New Map', 'googlemarker_admin' ),'administrator', 'googlemarker-admin', 'googlemarker_admin' );


	add_submenu_page( 'googlemarker-admin', __( 'Manage Markers | '.GOOGLEMARKER_TITLE, 'googlemarker_admin' ), __( 'Manage Map', 'googlemarker_admin' ),'administrator', 'googlemarker-manage-markers', 'googlemarker_manage_markers' );
	
	add_submenu_page( 'googlemarker-admin', __( 'Settings | '.GOOGLEMARKER_TITLE, 'googlemarker_admin' ), __( 'Settings', 'googlemarker_admin' ),'administrator', 'googlemarker-manage-settings', 'googlemarker_manage_settings' );
	



}

include_once(GOOGLEMARKER_PLUGIN_DIR.'/library/class.php');

global $obj_map;
$obj_map = new google_marker;



function googlemarker_admin() {
	include_once('includes/pannel.create_new_marker.php');
}

function googlemarker_manage_markers()
{
	include_once('includes/pannel.manage_markers.php');
}

function googlemarker_manage_settings()
{
	include_once('includes/pannel.manage_settings.php');
}

function googlemarker_manage_result()
{
	include_once('includes/pannel.result.php');
}

/******* Check active tab for UI *******/
function check_active_page($page_slug='')
{
	if(!$page_slug) {return false;}
	 
    if($_GET['page'] == 'googlemarker-admin' && isset($_GET['marker_id']) &&  $page_slug == 'googlemarker-manage-markers')
	{
			echo 'active';
	}
	else if($_GET['page'] == 'googlemarker-admin' && isset($_GET['marker_id']))
	{
		return;
	}
	else if(isset($_GET['page']) && $_GET['page']==$page_slug) {
		 	echo 'active';
		 } 

}

/******* googlemarker -admin Header files *******/
function wp_profile_googlemarker_head()
{
	$googlemarker_head = '';	
	$googlemarker_head .= '<link rel="stylesheet" href="'.GOOGLEMARKER_PLUGIN_URL.'/css/cc.options.css" media="screen" />';
	$googlemarker_head .= '<link rel="stylesheet" href="'.GOOGLEMARKER_PLUGIN_URL.'/css/cc.css" media="screen" />';
 	$googlemarker_head .= '<link rel="stylesheet" href="'.GOOGLEMARKER_PLUGIN_URL.'/css/style.css" media="screen" />';		 
	echo $googlemarker_head;
}
add_action('admin_head', 'wp_profile_googlemarker_head');

/******* googlemarker -admin Footer files *******/
function wp_profile_googlemarker_footer()
{
	$googlemarker_footer = '<script src="'.GOOGLEMARKER_PLUGIN_URL.'/js/jquery.placeholder.js" ></script>';
	$googlemarker_footer .= '<script src="'.GOOGLEMARKER_PLUGIN_URL.'/js/custom.js" ></script>';	
		
	echo $googlemarker_footer;
}
add_action('admin_footer', 'wp_profile_googlemarker_footer');

function register_shortcodes(){
   add_shortcode('googlemap', 'map_shortcode');
}	
add_action( 'init', 'register_shortcodes');
wp_enqueue_script('wp-color-picker');
wp_enqueue_style( 'wp-color-picker' );



if(isset($_GET['showmarker_id']) AND $_GET['showmarker_id']>0)
{
	$marker_id = $_GET['showmarker_id'];  
	echo map_shortcode(array('markerid'=>$marker_id,'show_type'=>'preview'));
	die();
}