!function ($) {

  "use strict"; // jshint ;_;


 /* TAB CLASS DEFINITION
  * ==================== */

  var Tab = function (element) {
    this.element = $(element)
  }

  Tab.prototype = {

    constructor: Tab

  , show: function () {
      var $this = this.element
        , $ul = $this.closest('ul:not(.dropdown-menu)')
        , selector = $this.attr('data-target')
        , previous
        , $target
        , e

      if (!selector) {
        selector = $this.attr('href')
        selector = selector && selector.replace(/.*(?=#[^\s]*$)/, '') //strip for ie7
      }

      if ( $this.parent('li').hasClass('active') ) return

      previous = $ul.find('.active:last a')[0]

      e = $.Event('show', {
        relatedTarget: previous
      })

      $this.trigger(e)

      if (e.isDefaultPrevented()) return

      $target = $(selector)

      this.activate($this.parent('li'), $ul)
      this.activate($target, $target.parent(), function () {
        $this.trigger({
          type: 'shown'
        , relatedTarget: previous
        })
      })
    }

  , activate: function ( element, container, callback) {
      var $active = container.find('> .active')
        , transition = callback
            && $.support.transition
            && $active.hasClass('fade')

      function next() {
        $active
          .removeClass('active')
          .find('> .dropdown-menu > .active')
          .removeClass('active')

        element.addClass('active')

        if (transition) {
          element[0].offsetWidth // reflow for transition
          element.addClass('in')
        } else {
          element.removeClass('fade')
        }

        if ( element.parent('.dropdown-menu') ) {
          element.closest('li.dropdown').addClass('active')
        }

        callback && callback()
      }

      transition ?
        $active.one($.support.transition.end, next) :
        next()

      $active.removeClass('in')
    }
  }


 /* TAB PLUGIN DEFINITION
  * ===================== */

  $.fn.tab = function ( option ) {
    return this.each(function () {
      var $this = $(this)
        , data = $this.data('tab')
      if (!data) $this.data('tab', (data = new Tab(this)))
      if (typeof option == 'string') data[option]()
    })
  }

  $.fn.tab.Constructor = Tab


 /* TAB DATA-API
  * ============ */

  $(document).on('click.tab.data-api', '[data-toggle="tab"], [data-toggle="pill"]', function (e) {
    e.preventDefault()
	 	
	// Save href of last select tab in cookie,  this cookie differ from page to page
	var cc_post_id = $('#cc_post_id').val();
	var cc_last_nav = $(this).attr('href');
	setjQueryCookie('cc_last_nav_'+cc_post_id, cc_last_nav, 30000);
	
	
	 $(this).tab('show');
	 
  })


}(window.jQuery);


function confirmDelete()
{
	if(!confirm("Are you sure to delete?"))
	{
		return false;		
	} 
	/*var result = confirm("Are you sure to delete?");
	if(result== true)
	{
	return true;	
	}
	else
	{
	return false;	
	}*/
}


jQuery('input, textarea').placeholder();
jQuery("#btnAddlocation").click(function(){
		jQuery("#addedLocations").append('<tr ><td><input type="text" name="latitudes[]"/></td><td><input type="text" name="longitudes[]"/></td><td><textarea name="marker_contents[]"></textarea></td><td style="width: 50px;text-align:center;" ><button type="button" class="deleteLink"></button></td></tr>');
});



jQuery( document ).ready(function() {	
if(jQuery('#checkdefaultLocation').is(':checked'))
{
	jQuery("#defaultLocation").show();	
}
else
{
	jQuery("#defaultLocation").hide();	
}
	jQuery(document).on("click","#checkdefaultLocation",function() {
if (jQuery("#checkdefaultLocation").is(':checked')==true){
	jQuery("#defaultLocation").show();
}
else
{
	jQuery("#defaultLocation").hide();
}

});
});






jQuery("#changeLang").click(function() {
    jQuery('#selectedLang').replaceWith('<div>' + jQuery("#txtname").val() + '</div>');
});



   
jQuery(document).on("click",".deleteLink",function() {
	
	var tr = jQuery(this).closest('tr');
	tr.css("background-color","#ff734d");
	var lat = tr.find('[name="latitudes[]"]').val();
	var lang = tr.find('[name="longitudes[]"]').val();
	var contents = tr.find('[name="marker_contents[]"]').val();
	if(lat=='' && lang=='' && contents=='')
	{
		tr.remove();
	}
	else if(confirm('Are you to delete Marker?'))
	{ 
		tr.remove();
	}
	return false;
});


 
jQuery(document).ready(function() {   
        jQuery('#sel_font_color').wpColorPicker();
});

function showMap(locations,defaulLang,defaulLat,mapview,marker_setting)
 {
	   var def_view = google.maps.MapTypeId.ROADMAP;  
		if(mapview==1)
	   {
		   def_view = google.maps.MapTypeId.ROADMAP; 
	   }
		if(mapview==2)
	   {
		   def_view = google.maps.MapTypeId.SATELLITE;  
		}
		if(mapview==3)
		{
			def_view = google.maps.MapTypeId.HYBRID;  
		}
		if(mapview==4)
		{
			def_view = google.maps.MapTypeId.TERRAIN;  
		}
		var icon_url = marker_setting[3];
   var mapdiv_id = document.getElementById("gmap").value;
   var map = new google.maps.Map(document.getElementById(mapdiv_id), {
	  zoom: 13,  // Default Zoom location on page load
	  center: new google.maps.LatLng(defaulLang,defaulLat),
	  mapTypeId: def_view
	});
	var infowindow = new google.maps.InfoWindow();
	var marker, i;
	for (i = 0; i < locations.length; i++) {  
	  marker = new google.maps.Marker({
		position: new google.maps.LatLng(locations[i][1], locations[i][2]),
		map: map,
		icon:icon_url
	  });
	  google.maps.event.addListener(marker, 'click', (function(marker, i) {
		return function() {
			
			var font_family = marker_setting[0];
			var font_size = marker_setting[1];
			var font_color=marker_setting[2];			
			infowindow.setContent('<div id="infowindow" style="color:'+font_color+';font-family:'+font_family+';font-size:'+font_size+';line-height:1.35;overflow:hidden;white-space:nowrap;">'+locations[i][0]+'</div>');
			infowindow.open(map, marker);
		}
	  })(marker, i));
	}
}