<?php


class google_marker
{


	function manageMarkers($action='')
	{
		global $wpdb;
		extract($_POST);
		$marker_id = $_GET['marker_id'];		
		$table_name = $wpdb->prefix.'google_markers';
		 
		# filter  array
		$lat = $long = $cont = Array();
		if(is_array($latitudes))
		{
			foreach($latitudes as $key => $value)
			{
				$l1 = $this->filter_data($latitudes[$key]);
				$l2 = $this->filter_data($longitudes[$key]);
				$l3 = trim($marker_contents[$key]);
				if(empty($l1) || !is_numeric($l1)  || !is_numeric($l2) || empty($l2) )	
					continue;

				$lat[] = $l1;
				$long[] = $l2;
				$cont[] = $l3;
			}
		}

		if(isset($_POST['checkdefaultLocation'])){		
			if(empty($defaultLat) OR empty($defaultLang)){
				$defaultLoc = '';
			}
			else
			{
				$defaultLoc = $defaultLat.','.$defaultLang;
			}
		}
		else
		{
			$defaultLoc = $lat[0].','.$long[0];
		}
		$mapWidth = (int)$mapWidth;
		$mapHeight =  (int)$mapHeight;
		if(empty($mapWidth))
			$mapWidth = 400;
		if(empty($mapHeight))
			$mapHeight = 400;

		$data = array('marker_latitudes'=> json_encode($lat),'marker_longitudes'=>json_encode($long),
		'marker_contents'=>json_encode($cont),'default_location'=> $this->filter_data($defaultLoc),
		'map_height'=> $this->filter_data($mapHeight)."px",'map_width'=> $this->filter_data($mapWidth)."px",
		'map_language'=> $this->filter_data($selLang),'created_on'=>date('Y-m-d H:i:s'),
		'map_name'=> $this->filter_data($map_name),'def_map_view'=> $this->filter_data($def_map_view),'icon_url'=> $this->filter_data($icon_url));
		$return1=array();
		$return = $this->validateInputs();
		if(empty($return))
		{
			if(!empty($marker_id))
			{
				$wpdb->update( $table_name, $data, array('marker_id'=>$marker_id));				
				$return1['status']='success';
				$return1['msg'][]='Map Updated Successfully';
				return $return1;
			}
			else 
			{
				$wpdb->insert($table_name,$data);
				$newmarker_id = $wpdb->insert_id;
				$url = admin_url('admin.php?page=googlemarker-admin&marker_id='.$newmarker_id);
				echo '<div class="successMsg">Map Created Successfully!</div>';
				echo 'You will be redirected in 3 Second.<meta http-equiv="refresh" content="3;url='.$url.'">';
				exit;
			}
		}
		else
		{
			return $return;	
		}
	}
	
	
	
	

	function validateInputs()
	{
		extract($_POST);
		$return=array();		
	 
		
		$map_name = $this->filter_data($map_name);
		if(empty($map_name))
		{
			$return['status']='error';
			$return['msg'][]='Map name can not be left blank.';
		}	
		$mapWidth = $this->filter_data($mapWidth);
		if(empty($mapWidth))
		{
			$return['status']='error';
			$return['msg'][]='Map width can not be left blank.';
		}	
		
		$mapHeight = $this->filter_data($mapHeight);
		if(empty($mapHeight))
		{
			$return['status']='error';
			$return['msg'][]='Map height can not be left blank.';
		}
		
		if(isset($_POST['checkdefaultLocation']))
		{
			$defaultLat = $this->filter_data($defaultLat);
			$defaultLang = $this->filter_data($defaultLang);

			if(empty($defaultLat) OR empty($defaultLang))	
			{
				$return['status']='error';
				$return['msg'][]='Default dimension can not be left blank.';					
			}
		}
		
		return $return;
		
	}

	function filter_data($v)
	{
		return strip_tags(trim($v));
	}
	function deleteMarker($marker_id)
	{
		global $wpdb;
		$table_name =$wpdb->prefix.'google_markers';
		 
		if($wpdb->delete( $table_name, array('marker_id'=>$marker_id) ))
		{
			echo '<div class="alert-success msg_map">Map deleted successfully!</div>';
		}
		else
		{
			echo '<div class="alert-error msg_map">Unable to delete map, please try again!</div>';
		}
		
	}
	
	
	
	function insertSetting()
	{
		global $wpdb;
		extract($_POST);
		$data = array('font_family'=>$sel_font_family,'font_size'=>$sel_font_size,'font_color'=>$sel_font_color);
	 	$table_name =$wpdb->prefix.'google_marker_settings';
		$rows = $wpdb->get_results("SELECT * FROM ".$table_name);
		if($wpdb->num_rows==1){
			$wpdb->update($table_name,$data,array('setting_id'=>1));}
		else
		{
			$wpdb->insert($table_name,$data);
		}
	}
	 
}




function map_shortcode($atts)
	{

		global $wpdb;
		$markerid= $atts['markerid'];
		$table_name =$wpdb->prefix.'google_markers';
		$table_name2 =$wpdb->prefix.'google_marker_settings';
		$map_setting  = $wpdb->get_row("SELECT * FROM ".$table_name2."");
		
		$map_data = $wpdb->get_row("SELECT * FROM ".$table_name." WHERE marker_id =".$markerid);
		$marker_setting = array(urldecode($map_setting->font_family),
		$map_setting->font_size,
		$map_setting->font_color,
		$map_data->icon_url);
		
		
		$marker_contents = json_decode($map_data->marker_contents);
		$marker_contents = array_map('stripslashes', $marker_contents);
		$marker_contents = json_encode($marker_contents);
		
		//print_r($map_data);
		$marker_latitudes = json_decode($map_data->marker_latitudes);
		$marker_longitudes = json_decode($map_data->marker_longitudes);
		$marker_contents = json_decode($marker_contents);
		$markers= array($marker_contents,$marker_latitudes,$marker_longitudes);				
		for($i=0;$i<count($marker_latitudes);$i++)
		{
			$locations[$i][] = $markers[0][$i];
			$locations[$i][] = $markers[1][$i];
			$locations[$i][] = $markers[2][$i];
		}
		if(isset($atts['show_type']))
		{
			$map_width = '100%';
			$map_height = '100%';
		}
		else
		{	
			$map_width = $map_data->map_width;
			$map_height = $map_data->map_height;
		}
		$defLat = 34.778395;
		$defLang = 32.081510;
		$default_location = explode(',',$map_data->default_location);

		if(!empty($default_location) && !empty($default_location[0]) && !empty($default_location[1]))
		{
			$setDef=1;
			$defLat = $default_location[0];
			$defLang = $default_location[1];		
		}
		else if(!empty($locations[0][1]) && !empty($locations[1][1]))
		{
			$defLat = $locations[0][1];
			$defLang = $locations[1][1];		
		}
			$mapview = $map_data->def_map_view;
			
			
			
			$return = '';
			$markers = json_encode($locations);
			if(empty($markers))
				$markers = '{10, 10}';
		 
			$return.='<link href="http://fonts.googleapis.com/css?family='.$map_setting->font_family.'" rel="stylesheet" type="text/css">';
			$return.='<input type="hidden" value="marker16" id="gmap" />
			<div id="marker16" style="width:'.$map_width.';height:'.$map_height.';max-width:100%;" ></div>';
			$return .= '<script src="http://maps.google.com/maps/api/js?sensor=false&language='.$map_data->map_language.'"></script>';
			$return .= '<script src="'.GOOGLEMARKER_PLUGIN_URL.'/js/gmap.js" ></script>';
			$return.='<script>
			showMap('.$markers.',"'.$defLat.'","'.$defLang.'",'.json_encode($mapview).','.json_encode($marker_setting).');</script>';
			$return.='<style>#marker16 img{max-width:300%;}</style>';
			return $return;		

	}	
	
	
	
